Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 174429 - net-proxy/3proxy Buffer overflow (CVE-2007-2031)
Summary: net-proxy/3proxy Buffer overflow (CVE-2007-2031)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B1 [glsa] jaervosz
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-13 11:29 UTC by Sune Kloppenborg Jeppesen
Modified: 2007-04-22 21:19 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sune Kloppenborg Jeppesen gentoo-dev 2007-04-13 11:29:28 UTC
From Changelog:
Fuxes in 0.5.3h
!! Serious buffer overflow fixed on transparent requests handling
Comment 1 Alin Năstac (RETIRED) gentoo-dev 2007-04-13 13:28:42 UTC
Version bumped to 0.5.3h, with amd64 keyword (tested by me).

Arches, please do your thing. 
It is easy to test, just run 3proxy-whatever -l.
Comment 2 Tobias Scherbaum (RETIRED) gentoo-dev 2007-04-13 16:30:37 UTC
ppc stable
Comment 3 Raúl Porcel (RETIRED) gentoo-dev 2007-04-14 15:18:20 UTC
x86 stable
Comment 4 Raphael Marichez (Falco) (RETIRED) gentoo-dev 2007-04-22 21:19:45 UTC
GLSA 200704-17, thanks everybody